Subject: Re: FVWM: windows acting in tandem

From: "Rouben Rostamian" <[email-masked]>
Date: Wed, 28 May 2003 11:52:58 -0400

Olivier Chapuis <[email-masked]> wrote:
> On Wed, May 28, 2003 at 12:20:57AM -0400, Rouben Rostamian wrote:
> > Thanks you, Mikhael, for your useful suggestions regarding my recent
> > query (shown below.)  I figured out how to do transparent FvwmButtons
> > in version 2.4.5.  I will upgrade to 2.5.* one of these days to use
> > the newer features.
> > 
> > Now I have a related question.  When I change the root window
> > background image, the transparent FvwmButtons do not refresh
> > themselves, because I guess they are not aware that the root has
> > changed.  I have to do a RefreshWindow on FvwmButtons to get the
> > transparent parts adapt to the new background.  This brings me to my
> > question: will upgrading to 2.5.* help to get around this?  If not,
> > is there a "standard" method to update fvwm's transparent objects
> > when the root background changes?
> >
> 
> In 2.5.*, if you use an appropriate "set root" program, fvwm detect
> root bg change and update the Transparent colorsets.
> See FvwmThemes (2.5.x) man page for details.

Just downloaded and installed 2.5.6.  Works just as advertised.
Thanks for the suggestion.

Rouben
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].